How to install multi PHP versions

Messiah
Posts: 7
Joined: Fri Nov 12, 2021 8:28 pm

Unfortunately, it works only for nginx + apache config.
If installing (manually) some other php version from Sury package for Nginx + fpm config multiple folders will be found using
/etc/php/*/fpm/pool.d
pattern, thus the code
of
v-delete-web-domain-backend
and
prepare_web_backend() of domain.sh
like

Code: Select all

pool=$(find -L /etc/php* -type d \( -name "pool.d" -o -name "*fpm.d" \))
if [ ! -e "$pool" ]; then
    echo "php-fpm pool doesn't exist"
fi
will fail to find the file and the error
Error: php-fpm pool doesn't exist
will occure. Any ideas how to install multiple FPM versions without Apache and not manually and not rewritng half of the panel code and web server configs? :?:

Tags:
User avatar
myVesta
Site Admin
Posts: 935
Joined: Fri Jun 19, 2020 9:59 am
Has thanked: 8 times
Been thanked: 6 times

Maybe this can help - viewtopic.php?t=710
But it's not for multiple but for one another version.
psp50
Posts: 1
Joined: Thu May 25, 2023 11:33 am

is old php version change or it will add new web template?
Please help.
User avatar
myVesta
Site Admin
Posts: 935
Joined: Fri Jun 19, 2020 9:59 am
Has thanked: 8 times
Been thanked: 6 times

psp50 wrote: Thu May 25, 2023 11:35 am is old php version change or it will add new web template?
Please help.
New templates will be added.
jclick
Posts: 1
Joined: Tue Oct 18, 2022 2:00 pm

I am little confused. I just want PHP 8.2 as a php version for myvesta.

Is the default installation have any option to install only 8.2 ?
User avatar
myVesta
Site Admin
Posts: 935
Joined: Fri Jun 19, 2020 9:59 am
Has thanked: 8 times
Been thanked: 6 times

jclick wrote: Sat Jun 10, 2023 8:23 pm I am little confused. I just want PHP 8.2 as a php version for myvesta.

Is the default installation have any option to install only 8.2 ?
just follow the tutorial from the first page of this topic.
put 1 on inst_82 line in editor
and run the script.
mckaygerhard
Posts: 20
Joined: Thu Jun 08, 2023 6:32 pm
Been thanked: 1 time

What about if i want only one php version for normal vesta installation.. by example Debian 12 has php 8 only and i wants php 7

if you reply me with "use debian 11" yeah i like it cos i dont fall in stupidity of moderninsh .. inclusive i used debian 6 today.. but then; how can i add support fofr NON.APACHE crap ?

can i install multiphp env using only apache 2 ?
mckaygerhard
Posts: 20
Joined: Thu Jun 08, 2023 6:32 pm
Been thanked: 1 time

Messiah wrote: Tue Mar 07, 2023 7:18 pm Also, there is one more point that nobody exactly noticed. Sury physically removed all Debian 9 and 8 packages, so every script based on this repository became broken (please check). If so, the community will appreciate any appropriate replacement of sury repository for this OS.
i track php 5.6 packages from debian Extended LTS support and Devuan trinity php packages and put into the venenux repository.. if you need

https://build.opensuse.org/project/show ... i:lamp-vnx
User avatar
myVesta
Site Admin
Posts: 935
Joined: Fri Jun 19, 2020 9:59 am
Has thanked: 8 times
Been thanked: 6 times

mckaygerhard wrote: Sat Jul 01, 2023 8:43 pm
Messiah wrote: Tue Mar 07, 2023 7:18 pm Also, there is one more point that nobody exactly noticed. Sury physically removed all Debian 9 and 8 packages, so every script based on this repository became broken (please check). If so, the community will appreciate any appropriate replacement of sury repository for this OS.
i track php 5.6 packages from debian Extended LTS support and Devuan trinity php packages and put into the venenux repository.. if you need

https://build.opensuse.org/project/show ... i:lamp-vnx
We need some clarifications.
Is this Sury builds, just copied before he deleted it, or somebody is making fresh builds with fresh bugfixes?
mckaygerhard
Posts: 20
Joined: Thu Jun 08, 2023 6:32 pm
Been thanked: 1 time

myVesta wrote: Sun Jul 02, 2023 10:45 am
mckaygerhard wrote: Sat Jul 01, 2023 8:43 pm
Messiah wrote: Tue Mar 07, 2023 7:18 pm Also, there is one more point that nobody exactly noticed. Sury physically removed all Debian 9 and 10 packages, so every script based on this repository became broken (please check). If so, the community will appreciate any appropriate replacement of sury repository for this OS.
i track php 5.6 packages from debian Extended LTS support and Devuan trinity php packages and put into the venenux repository.. if you need
https://build.opensuse.org/project/show ... i:lamp-vnx
We need some clarifications.
Is this Sury builds, just copied before he deleted it, or somebody is making fresh builds with fresh bugfixes?
sorry, i was traking the changes and also the changes of the DeVuan php repository that seems more light and flexible

i noted that myvesta still install in debian wheezy with minor changes.. so i decided to provide those packages...
Post Reply